lab_1/urls.py
from django.urls import re_path
from .views import index
#url for app
urlpatterns = [
    re_path(r'^$', index, name='index'),
]

lab_2/urls.py
from django.urls import path
from .views import index

#url for app, add your URL Configuration

urlpatterns = [
#TODO Implement this
]

myprofile/urls.py
from django.urls import path
from . import views

urlpatterns = [
    path('', views.home, name = 'home'),
    path('experiences/', views.experiences, name = 'experiences'),
    path('education/', views.education, name = 'education'),
    path('contact/', views.contact, name = 'contact'),
    path('regist/', views.regist, name = 'experiences'),
]

praktikum/urls.py
from django.conf.urls import include
from django.urls import re_path
from django.contrib import admin
from lab_1.views import index as index_lab1
from django.conf import settings
from django.conf.urls.static import static


urlpatterns = [
    re_path(r'^admin/', admin.site.urls),
    re_path(r'^lab-1/', include('lab_1.urls')),
    re_path(r'^lab-2/', include('lab_2.urls')),
    #re_path(r'^myprofile/', include('myprofile.urls')),
    re_path(r'^index/', include('story4responsive.urls')),
    re_path(r'', include(('story4responsive.urls', 'story4responsive'), namespace='story4responsive')),
] + static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)

story4responsive/urls.py
from django.conf.urls import url, include
from django.urls import path
from . import views
from story4responsive.models import Activity


urlpatterns = [
    path('', views.home, name = 'home'),
    path('experiences/', views.experiences, name = 'experiences'),
    path('register/', views.regist, name = 'register'),
    path('forms/', views.create_activity, name = 'create'),
    path('list/', views.activity_list, name = 'list'),
    path('delete/', views.delete_all, name = 'delete_all')
]

lab_1/models.py
from django.db import models

# Create your models here.

lab_2/models.py
from django.db import models

# Create your models here.

myprofile/models.py
from django.db import models

# Create your models here.

story4responsive/models.py
from django.db import models

# Create your models here.
class Activity(models.Model):
    title = models.CharField(max_length=140)
    date = models.DateTimeField()
    place = models.CharField(max_length=140)
    category = models.CharField(max_length=140)

    def __str__(self):
        return self.title

story4responsive/forms.py
from django import forms
from .models import Activity

class ActivityForm(forms.Form):
    title = forms.CharField(label="Activity Name", max_length = 30, widget = forms.TextInput(
        attrs = {
                'class':'form-group col-md-12',
                'placeholder':'Activity',
                'required':True,
        }
    ))

    date = forms.DateTimeField(label="Date", widget = forms.DateTimeInput(
        attrs = {
                'type':'date',
                'class':'form-group col-md-12',
                'placeholder':'date',
                'required':True,
        }
    ))

    place = forms.CharField(label="Location", max_length = 30, widget = forms.TextInput(
        attrs = {
                'class':'form-group col-md-12',
                'placeholder':'Location',
                'required':True,
        }
    ))

    category = forms.CharField(label="Category", max_length = 30, widget = forms.TextInput(
        attrs = {
                'class':'form-group col-md-12',
                'placeholder':'Category',
                'required':True,
        }
    ))

lab_1/views.py
from django.shortcuts import render
from datetime import datetime, date
# Enter your name here
mhs_name = 'Millenio Ramadizsa' # TODO Implement this
curr_year = int(datetime.now().strftime("%Y"))
birth_date = date(1999, 1, 5) #TODO Implement this, format (Year, Month, Date)
npm = 1706040063 # TODO Implement this
# Create your views here.
def index(request):
    response = {'name': mhs_name, 'age': calculate_age(birth_date.year), 'npm': npm, 'university': 'University of Indonesia', 
    'hobby': 'Watching awesome movies', 'description': 'When i get sad i stop being sad and be awesome instead'}
    return render(request, 'index_lab1.html', response)

def calculate_age(birth_year):
    return curr_year - birth_year if birth_year <= curr_year else 0

lab_2/views.py
from django.shortcuts import render
from lab_1.views import mhs_name, birth_date

#TODO Implement
#Create a content paragraph for your landing page:
landing_page_content = ''

def index(request):
    response = {'name': mhs_name, 'content': landing_page_content}
    return render(request, 'index_lab2.html', response)

myprofile/views.py
from django.shortcuts import render

# Create your views here.
def home(request):
    return render(request, 'index.html')

def experiences(request):
    return render(request, 'experiences.html')

def education(request):
    return render(request, 'education.html')

def contact(request):
    return render(request, 'contact.html')

def regist(request):
    return render(request, 'regist.html')

story4responsive/views.py
from django.shortcuts import render
from .forms import *
from django.http import HttpResponseRedirect

# Create your views here.
def home(request):
    response = {'title':'Home'}
    return render(request, 'index.html', response)

def experiences(request):
    response = {'title':'Experiences'}
    return render(request, 'experiences.html', response)

def regist(request):
    response = {'title':'Register'}
    return render(request, 'register.html', response)

def activity_list(request):
    activity = Activity.objects.all().order_by("-date")
    response = {'activity' : activity, 'title' : 'List'}
    return render(request, 'list.html', response)

def create_activity(request):
    if request.method == "POST":
        form = ActivityForm(request.POST)
        if form.is_valid():
            activity = Activity()
            activity.title = form.cleaned_data['title']
            activity.date = form.cleaned_data['date']
            activity.place = form.cleaned_data['place']
            activity.category = form.cleaned_data['category']
            activity.save()
        return HttpResponseRedirect('/list')
    else:
        form = ActivityForm()
        response = {'form' : form, 'title' : 'Activity'}
        return render(request, 'forms.html', response)

def delete_all(request):
    Activity.objects.all().delete()
    return render(request, 'list.html')

lab_1/templates/index_lab1.html
<!DOCTYPE html>
<html lang="en" dir="ltr">
  <head>
    <meta charset="utf-8">
    <title>challenge</title>
  </head>
  <style>
  	body {
  		text-align: center;
  		background-color: Gold;
  		font-family: calibri;
  	}
  	.front {
  		background-color: Red;
  		border: 1px solid Black; 
  		color: Black;
  	}
  	.back {
  		background-color: Blue;
  		border: 1px solid Black; 
  		color: White;
  	}
  </style>
  <body>
  	<h1>Hello my name is Millenio Ramadizsa</h1>
    <img src="http://web-nio.herokuapp.com/static/lab1/cropped.jpg", width="150"">
    <article>NPM : 1706040063</article>
    <article>I am 19 years old</article>
    <article>Currently a studet at University of Indonesia</article>
    <article>Description : Computer Science Student</article>
  	<h1>My first Lab Challenge<h1>
  	<div class="front">
	    <h2>In front of me</h2>
	    <img src="https://i.imgur.com/EuL64gi.png">
	    <p>Hi! My name is Josh Sudung</p>
	    <p>I am 19 years old</p>
	    <p>NPM : 1706039824</p>
	    <p>My Hobby is Swimming</p>
	    <p>I study at the university of Indonesia</p>
	    <p>I'm currently majoring in Computer Science</p>
    </div>

    <br/>

    <div class="back">
		<h2>Behind me</h2>
	    <img src="http://www.about.tarung2017.com/foto/106.jpg">
	    <p>Hi! My name is Ardita Sophi</p>
	    <p>I am 19 years old</p>
	    <p>NPM : 1706043701</p>
	    <p>My Hobby is Reading Fiction Novel</p>
	    <p>I study at the university of Indonesia</p>
	    <p>I'm currently majoring in Information System</p>    	
    </div>

  </body>
</html>

lab_2/templates/description_lab2addon.html
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>My Biodata</title>
</head>
<style>
    table, th, td {
        border: 1px solid black;
    }
    .subject{
        font-size: 20px;
        font-family: "Comic Sans MS";
        color: #6650ff;
    }
    .value{
        font-size: 20px;
        font-family: "Roboto", "Lucida Grande", Verdana, Arial, sans-serif;
        color: #ff102c;
    }
</style>
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
<body style="background-color: aqua">
    <h3 style="text-align: center">Hi all, This is my complete biodata</h3>
    <table align="center" style="text-align: center">
        {% for bio in bio_dict %}
            <tr>
                <td class="subject">{{ bio.subject }}</td>
                <td class="value">{{ bio.value }}</td>
            </tr>
        {% endfor %}
    </table>
    <br><br>
</body>

</html>

lab_2/templates/index_lab2.html
{% extends "base.html" %}
{% block content %}
<style>
    .center_screen {
        position: absolute;
        width: 500px;
        height: 50px;
        top: 50%;
        left: 50%;
        margin-left: -250px; /* margin is -0.5 * dimension */
        margin-top: -25px;
    }
</style>
<div class="center_screen">
    <p class="status" id="test">Hello, this is {{ name }}. {{ content }}.</p>
</div>
{% endblock %}

myprofile/templates/contact.html
{% extends 'header.html' %}
{% block content %}
<div class="row">
  <div class="bigbox">
    <h2 id="contactme">Contact me!</h2>
    <h2 id="nametxt" class="years">Name:</h2>
    <div id="name" class="contentbox">
    </div>
    <h2 id="emailtxt" class="years">Email:</h2>
    <div id="email" class="contentbox">
    </div>
    <h2 id="messagetxt" class="years">Message:</h2>
    <div id="message" class="contentbox">
    </div>
    <div id="sendme" class="contentbox">
      <h3 id="sendmetxt">Send me!</h3>
    </div>
  </div>
</div>

<div class="row">
  <div id="box2else" class="box2">
    <h3 id="aboutelse">About</h3>
    <h3 id="meelse">me:</h3>
    <a href="/contact/">
      <div id="dot2elsebutton1" class="dot2elsebutton">
        <p id="textelse">Contact</p>
      </div>
    </a>
    <a href="/experiences/">
      <div id="dot2elsebutton2" class="dot2elsebutton">
        <p id="textelse2">Experiences</p>
      </div>
    </a>
    <a href="/education/">
      <div id="dot2elsebutton3" class="dot2elsebutton">
        <p id="textelse2">Education</p>
      </div>
    </a>
  </div>
</div>
{% endblock %}

myprofile/templates/education.html
{% extends 'header.html' %}
{% block content %}
<div class="row">
  <div class="bigbox">
    <h2 id="year1" class="years">2011 - 2014</h2>
    <div id="dotelse1" class="dotelse"></div>
    <div id="line1" class="line"></div>
    <div id="contentbox1" class="contentbox">
      <h2>SMP Labschool Kebayoran</h2>
    </div>
    <h2 id="year2" class="years">2014 - 2017</h2>
    <div id="dotelse2" class="dotelse"></div>
    <div id="line2" class="line"></div>
    <div id="contentbox2" class="contentbox">
      <h2>SMA Labschool Kebayoran</h2>
    </div>
    <h2 id="year3" class="years">2017 - Now</h2>
    <div id="dotelse3" class="dotelse"></div>
    <div id="contentbox3" class="contentbox">
      <h2 id="university">University of Indonesia, faculty of Computer Science</h2>
    </div>
  </div>
</div>

<div class="row">
  <div id="box2else" class="box2">
    <h3 id="aboutelse">About</h3>
    <h3 id="meelse">me:</h3>
    <a href="/contact/">
      <div id="dot2elsebutton1" class="dot2elsebutton">
        <p id="textelse">Contact</p>
      </div>
    </a>
    <a href="/experiences/">
      <div id="dot2elsebutton2" class="dot2elsebutton">
        <p id="textelse2">Experiences</p>
      </div>
    </a>
    <a href="/education/">
      <div id="dot2elsebutton3" class="dot2elsebutton">
        <p id="textelse2">Education</p>
      </div>
    </a>
  </div>
</div>
{% endblock %}

myprofile/templates/experiences.html
{% extends 'header.html' %}
{% block content %}
<div class="row">
  <div class="bigbox">
    <h2 id="year1" class="years">2015</h2>
    <div id="dotelse1" class="dotelse"></div>
    <div id="line1" class="line"></div>
    <div id="contentbox1" class="contentbox">
      <h3 id="text3else">Secretary - Navigasi Darat</h3>
      <h3 id="text3else">Secretary - Eksplorasi Sriwijaya</h3>
      <h3 id="text3else">Controller - Olah Raga Arus Tenang</h3>
    </div>
    <h2 id="year2" class="years">2016</h2>
    <div id="dotelse2" class="dotelse"></div>
    <div id="line2" class="line"></div>
    <div id="contentbox2" class="contentbox">
      <h3 id="text3else">Secretary - Pendidikan Dasar Palabsky</h3>
      <h3 id="text3else">Accommodation - Eksplorasi Toraja</h3>
      <h3 id="text3else">Transportation - Skyavenue 2016 “A Retroversed Future”</h3>
    </div>
    <h2 id="year3" class="years">2017</h2>
    <div id="dotelse3" class="dotelse"></div>
    <div id="contentbox3" class="contentbox">
      <h3 id="text3else">Member - Majelis Mahasiswa Fasilkom UI 2017-2018</h3>
      <h3 id="text3else">Head of Supervising 2 Division - DPM Fasilkom UI 2017-2018</h3>
      <h3 id="text3else">Utusan Angkatan - DPM Fasilkom UI 2017-2018</h3>
    </div>
  </div>
</div>

<div class="row">
  <div id="box2else" class="box2">
    <h3 id="aboutelse">About</h3>
    <h3 id="meelse">me:</h3>
    <a href="/contact/">
      <div id="dot2elsebutton1" class="dot2elsebutton">
        <p id="textelse">Contact</p>
      </div>
    </a>
    <a href="/experiences/">
      <div id="dot2elsebutton2" class="dot2elsebutton">
        <p id="textelse2">Experiences</p>
      </div>
    </a>
    <a href="/education/">
      <div id="dot2elsebutton3" class="dot2elsebutton">
        <p id="textelse2">Education</p>
      </div>
    </a>
  </div>
</div>
{% endblock %}

myprofile/templates/header.html
{% load static %}

<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <link rel="stylesheet" href="{% static 'css/style.css' %}">
  <title>Header</title>
</head>
<body>

  <div class="row">
    <a href="/">
      <div class="jumbotronelse jumbotron-fluid">
        <div class="container">
          <a href="/">
            <h1 class="display-4">Millenio Ramadizsa</h1>
            <p class="lead">a computer science student</p>
          </a>
          <a href="/regist/">
            <h1 id="signupelse">Sign Up!</h1>
          </a>
        </div>
      </div>
    </a>
  </div>

  <div class="row">
    <div class="boxelse">
      <img class="rounded-circle" class="col" id="meno" src="https://scontent.fcgk4-2.fna.fbcdn.net/v/t1.0-9/41960035_10212296072509204_8462948674098429952_n.jpg?_nc_cat=105&oh=aef0e125245aec8ff69a686c45262f9a&oe=5C29D845" alt="meno">
    </div>
  </div>

  <div class="row"><div class="box1"></div></div>
  {% block content %}
  {% endblock %}
</body>
</html>

myprofile/templates/index.html
{% load static %}

<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="stylesheet" href="{% static 'css/style.css' %}">
    <title>Story3</title>
  </head>
  <body>
    <div class="row">
        <div class="jumbotron jumbotron-fluid">
          <div class="container">
            <a href="/">
              <h1 class="display-4">Millenio Ramadizsa</h1>
              <p class="lead">a computer science student</p>
            </a>
            <a href="/regist/">
              <h1 id="signup">Sign Up!</h1>
            </a>
            <img class="rounded-circle" class="col" id="me" src="https://scontent.fcgk4-2.fna.fbcdn.net/v/t1.0-9/41960035_10212296072509204_8462948674098429952_n.jpg?_nc_cat=105&oh=aef0e125245aec8ff69a686c45262f9a&oe=5C29D845" alt="me">
            <h1 id="question">WHO AM I?</h1>
          </div>
        </div>
    </div>

    <div class="row">
      <div class="box1">
        <h3 class="col" id="desc">An enthusiastic, hard-working and happy person that is ready to step into the vast world of Information and Technology.</h3>
      </div>
    </div>

    <div class="row">
      <div class="box2">
        <span id="about">About me:</span>
        <a href="/experiences/">
          <span class="dot" id="dot1">
            <p id="text">Experiences</p>
          </span>
        </a>
        <a href="/education/">
          <span class="dot" id="dot2">
            <p id="text">Education</p>
          </span>
        </a>
        <a href="/contact/">
          <span class="dot" id="dot3">
            <p id="text">Contact</p>
          </span>
        </a>
      </div>
    </div>

    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js" integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy" crossorigin="anonymous"></script>
  </body>
</html>

myprofile/templates/regist.html
{% extends 'header.html' %}
{% block content %}
<div class="row">
  <div class="bigbox">
    <h2 id="Guest">Register</h2>
    <h2 id="nametxtregist" class="registtxt">Name:</h2>
    <input id="nameregist" class="contentbox" type="text">
    <h2 id="datetxtregist" class="registtxt">Date:</h2>
    <input id="dateregist" class="contentbox" type="date">
    <h2 id="emailtxtregist" class="registtxt">Email:</h2>
    <input id="emailregist" class="contentbox" type="email">
    <h2 id="usernametxtregist" class="registtxt">Username:</h2>
    <input id="usernameregist" class="contentbox" type="text">
    <h2 id="passwordtxtregist" class="registtxt">Password:</h2>
    <input id="passwordregist" class="contentbox" type="password">
    <h2 id="confirmtxtregist" class="registtxt">Confirm Password:</h2>
    <input id="confirmregist" class="contentbox" type="password">
    <input type="submit" id="registme" class="contentbox" value="Register" onclick="submit()">
  </div>
</div>

<div class="row">
  <div id="box2else" class="box2">
    <h3 id="aboutelse">About</h3>
    <h3 id="meelse">me:</h3>
    <a href="/contact/">
      <div id="dot2elsebutton1" class="dot2elsebutton">
        <p id="textelse">Contact</p>
      </div>
    </a>
    <a href="/experiences/">
      <div id="dot2elsebutton2" class="dot2elsebutton">
        <p id="textelse2">Experiences</p>
      </div>
    </a>
    <a href="/education/">
      <div id="dot2elsebutton3" class="dot2elsebutton">
        <p id="textelse2">Education</p>
      </div>
    </a>
  </div>
</div>
<script>
  const submit = () => alert("You have been Registered!")
</script>
{% endblock %}

story4responsive/templates/experiences.html
{% extends 'navbar.html' %}
{% load static %}
{% block content %}

<div class="container">
  <div class="row justify-content-md-center">
    <div class="col-md-12">
      <h1 style="text-align: center; padding: 5%;" class="light-color-font align-center">Experiences</h1>
    </div>
    <div class="col-md-12">
      <h1 style="text-align: center; padding: 0;" class="light-color-font align-center align-top">Head of Supervising 2 division - DPM Fasilkom UI</h1>
    </div>
    <div class="col-md-12">
      <h1 style="text-align: center; padding: 0;" class="light-color-font align-center align-top">Member of Majelis Mahasiswa Fasilkom UI</h1>
    </div>
    <div class="col-md-12">
      <h1 style="text-align: center; padding: 0;" class="light-color-font align-center align-top">Staff of Pemira Fasilkom UI 2017</h1>
    </div>
    <div class="col-md-12">
      <h1 style="text-align: center; padding: 3%" class="light-color-font align-center">Education</h1>
    </div>
    <div class="col-md-6">
      <img class="education-size" src="{% static 'assets/labschool.png' %}" alt="">
    </div>
    <div class="col-md-6">
      <img class="education-size" src="{% static 'assets/ui.png' %}" alt="">
    </div>
  </div>
</div>

{% endblock %}

story4responsive/templates/forms.html
{% extends 'navbar.html' %}
{% load static %}
{% block content %}

  <form action="" method="POST">
    <div class="big-box">
      <div class="col-md-12">
        <div class="form-group">
          {% csrf_token %}
          {{ form }}
        </div>
      </div>
      <div class="col-md-12">
        <div class="form-group">
          <button type="submit" class="btn btn-secondary btn-lg btn-block">Submit</button>
        </div>
      </div>
    </div>
  </form>
{% endblock %}

story4responsive/templates/index.html
{% extends 'navbar.html' %}
{% load static %}
{% block content %}

<div style="padding: 0 30%" class="container">
  <div class="row justify-content-md-center">
    <h1 style="text-align: center;" class="light-color-font align-center">Millenio Ramadizsa</h1>
  </div>
  <div class="row justify-content-md-center">
    <img class="img-me rounded-circle border border-dark" src="{% static 'assets/me.jpg' %}" alt="my photo">
  </div>
  <div class="row justify-content-md-center">
    <h1 style="padding-top: 2%; font-family: lato; font-weight: 700;" class="light-color-font position-relative">Hey it's me!</h1>
  </div>
</div>

{% endblock %}

story4responsive/templates/list.html
{% extends 'navbar.html' %}
{% load static %}
{% block content %}
  {% for data in activity %}
  <div class="col-md-12">
    <h1 style="text-align: center; padding: 1rem 0 0 0;" class="light-color-font align-center align-top">{{data.title}}</h1>
    <h1 style="text-align: center; padding: 0; font-size: 24px;" class="light-color-font align-center align-top">{{data.date.date}}</h1>
    <h1 style="text-align: center; padding: 0; font-size: 24px;" class="light-color-font align-center align-top">Location: {{data.place}}</h1>
    <h1 style="text-align: center; padding: 0; font-size: 24px;" class="light-color-font align-center align-top">Category: {{data.category}}</h1>
  </div>
  {% endfor %}
  <div class="col-md-12">
    <div class="form-group">
      <a href="{% url 'story4responsive:delete_all' %}"><button style="margin: 20px 0;" type="button" class="btn btn-secondary btn-lg btn-block">Clear</button></a>
    </div>
  </div>
{% endblock %}

story4responsive/templates/navbar.html
{% load static %}
<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <link rel="stylesheet" href="{% static 'css/style.css' %}">
    <link rel="stylesheet" href="{% static 'css/bootstrap.css' %}">

    <title>{{ title }}</title>
  </head>
  <body class="jumbo-bg">
    <nav class="navbar navbar-expand-lg navbar-light bg-dark">
      <a class="navbar-brand" href="#"><img src="" alt=""></a>
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavAltMarkup" aria-controls="navbarNavAltMarkup" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarNavAltMarkup">
        <div class="navbar-nav">
          <a class="nav-item nav-link" href="/">Home<span class="sr-only">(current)</span></a>
          <a class="nav-item nav-link" href="/experiences/">Experiences</a>
          <a class="nav-item nav-link" href="/register/">Register</a>
          <a class="nav-item nav-link" href="/forms/">Activity</a>
          <a class="nav-item nav-link" href="/list/">List</a>
        </div>
      </div>
    </nav>

    {% block content %}
    {% endblock %}

    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
  </body>
</html>

story4responsive/templates/register.html
{% extends 'navbar.html' %}
{% load static %}
{% block content %}

<div class="container">
  <div class="row justify-content-md-center">
    <div class="col-md-12">
      <h1 style="text-align: center; padding: 5%;" class="light-color-font align-center">Sign up!</h1>
    </div>
    <div class="col-md-12">
      <div class="form-group">
        <label class="label-light" for="usr">Name:</label>
        <input type="text" class="form-control" id="usr">
      </div>
    </div>
    <div class="col-md-12">
      <div class="form-group">
        <label class="label-light" for="usr">Birthday:</label>
        <input type="date" class="form-control" id="usr">
      </div>
    </div>
    <div class="col-md-12">
      <div class="form-group">
        <label class="label-light" for="usr">Email:</label>
        <input type="text" class="form-control" id="usr">
      </div>
    </div>
    <div class="col-md-12">
      <div class="form-group">
        <label class="label-light" for="usr">Username:</label>
        <input type="text" class="form-control" id="usr">
      </div>
    </div>
    <div class="col-md-12">
      <div class="form-group">
        <label class="label-light" for="pwd">Password:</label>
        <input type="password" class="form-control" id="pwd">
      </div>
    </div>
    <div class="col-md-12">
      <div class="form-group">
        <label class="label-light" for="pwd">Confirm Password:</label>
        <input type="password" class="form-control" id="pwd">
      </div>
    </div>
    <div class="col-md-12">
      <div class="form-group">
        <button type="button" class="btn btn-secondary btn-lg btn-block" onclick="submit()">Sign Up!</button>
      </div>
    </div>
  </div>
</div>

<script>
  const submit = () => alert("You have been Registered!")
</script>

{% endblock %}